List orders
curl --request GET \
--url https://api.mymorabaa.com/external/v1/orders \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.mymorabaa.com/external/v1/orders"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.mymorabaa.com/external/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"orderNumber": "<string>",
"status": "<string>",
"total": 123,
"finalTotal": 123,
"productsCount": 123,
"date": "<string>",
"customerName": "<string>",
"customerPhone": {},
"note": {}
}
],
"page": 123,
"pageSize": 123,
"total": 123
}API reference
List orders
List and search orders created with your API key.
GET
https://api.mymorabaa.com
/
external
/
v1
/
orders
List orders
Returns a paginated list of orders created with the current API key. Your key needs the
Each page contains up to 25 orders.
orders:list scope.
Headers
string
required
Your API key. You can use
Authorization: Api-Key your_key instead.Query parameters
string
Search text, such as an order number.
integer
default:"1"
One-based page number. Values below
1 are treated as 1.Request example
curl --get "$MORABAA_API_URL/external/v1/orders" \
--header "X-Api-Key: $MORABAA_API_KEY" \
--data-urlencode "query=ORD-1042" \
--data-urlencode "page=1"
Response
object[]
required
Orders on the current page.
Show Order fields
Show Order fields
UUID
required
Order ID.
string
required
Order number.
string
required
Current order status.
number
required
Order subtotal.
number
required
Final order total.
integer
required
Total item quantity.
string
required
Order date and time in ISO 8601 format.
string
required
Customer name.
string | null
Customer phone.
string | null
Order note.
integer
required
Current page.
integer
required
Maximum items per page. Always
25.integer
required
Total matching orders.
{
"items": [
{
"id": "55555555-5555-5555-5555-555555555555",
"orderNumber": "ORD-1042",
"status": "Pending",
"total": 20000,
"finalTotal": 20000,
"productsCount": 2,
"date": "2026-08-16T10:30:00+03:00",
"customerName": "Ahmed Ali",
"customerPhone": "+9647700000000",
"note": "Leave at reception"
}
],
"page": 1,
"pageSize": 25,
"total": 1
}
Errors
| Status | Cause |
|---|---|
401 | The API key is missing or invalid. |
403 | The key lacks the orders:list scope. |
429 | The rate limit was exceeded. |
500 | An unexpected error occurred. |
⌘I